List items in package
GET
/api/content/management/packages/{repo}/{packageName}/items
const url = 'https://example.com/api/content/management/packages/example/example/items';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/content/management/packages/example/example/items \ --header 'Authorization: Bearer <token>'Retrieves all items contained in an update package
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”repo
required
Repository CACHE_ROOT
string
packageName
required
Package name
string
Responses
Section titled “Responses”Package items retrieved successfully
Media typeapplication/json
object
count
Total number of items in package
number
items
required
Array of items in the package
Array<object>
object
id
required
Item ID
string
name
required
Item name
string
type
required
Content type
string
slug
URL slug
string
status
Item status in package
string
Example
{ "count": 15, "items": [ { "id": "ITEM_ABC123", "name": "My Article", "type": "Article", "slug": "my-article", "status": "added" } ]}